<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio 6-3</title>
</head>
<Style>
     body {
        margin: 0;
	    padding: 0;
		}
        #contenedor{
            display: flex;
            flex-wrap: nowrap;
            max-width: 1000px;
            min-width: 320px;
            margin: 0 auto;
        }
        header{
            width: 70%;
            height: 100px;
            display: flex;
            justify-content: center;
            border: 1px solid black;
        }
        aside{            
            width: 30%;
            height: 600px;
            background-color: gold;
            float: left;
        }        
        main{
            display: flex;
            width: 70%;
            height: 600px;
            background-color: blueviolet;
            float: left;
            justify-content: space-evenly;
            align-items: center;
            /*
                Valor x defecto nowrap
            */
            flex-wrap:wrap;
        }
        
 
</Style>
<body>
    <div id="contenedor">
        <header>
                <h1>Heading</h1>
        </header>
        <main>
                <h2>MAIN</h2>
                <div id="imagen_main">
                    <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Optio rerum neque tempora labore, aspernatur velit nam voluptas doloribus voluptates nisi modi, nihil ratione! Fugit, voluptate. Suscipit fugit culpa quis tempora blanditiis odio sint consequuntur nisi nam ipsam. Facilis rem pariatur at, nemo optio et accusamus corrupti error doloribus corporis magni?</p>
                    <img src="https://via.placeholder.com/300x100" alt="">
                </div>
                 <div class="box box1">box1
                     <h2>Heading</h2>
                     <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Dolorum, amet.</p>
                 </div>
                <div class="box box2">box2
                    <h2>Heading</h2>
                     <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Dolorum, amet.</p>
                </div>
                <div class="box box3">box3
                    <h2>Heading</h2>
                     <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Dolorum, amet.</p>
                </div>
                <div class="box box4">box4
                    <h2>Heading</h2>
                     <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Dolorum, amet.</p>
                </div>
                <div id=imagen_footer>
                    <img src="https://via.placeholder.com/300x100" alt="">
                </div>
        </main>
        <aside>
                <h2>Aside</h2>
        </aside>


    </div>
 
</body>
</html>